package com.ruoyi.demo.entity.bo;

import com.ruoyi.demo.entity.BrandCity;
import com.ruoyi.demo.entity.BrandZone;
import lombok.Data;

import java.io.Serializable;

@Data
public class BrandDisItem implements Serializable {
    private String code;
    private String name;
    private Integer count;

    public BrandDisItem() {
    }

    public BrandDisItem(BrandZone zone) {
        this.code = zone.getAddrCode();
        this.name = zone.getZone();
        this.count = zone.getDisCount();
    }

    public BrandDisItem(BrandCity city) {
        this.code = city.getAddrCode();
        this.name = city.getCity();
        this.count = city.getDisCount();
    }
}
